#
# spec file for package curlie
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define goipath github.com/rs/curlie
Name:           curlie
Version:        1.7.2
Release:        1.5
Summary:        a frontend to curl that adds the ease of use of httpie
License:        MIT
URL:            https://github.com/rs/curlie
Source0:        https://github.com/rs/curlie/archive/refs/tags/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
Source1:        vendor.tar.gz
# PATCH-FIX-UPSTREAM upgrade-go-version-and-x-sys-to-latest.patch  -- based on commit 9fcb3a0
Patch0:         upgrade-go-version-and-x-sys-to-latest.patch
BuildRequires:  go >= 1.20
BuildRequires:  golang-packaging
BuildRequires:  libunistring-devel

%description
If you like the interface of HTTPie but miss the features of curl, curlie is what you are searching for. Curlie is a frontend to curl that adds the ease of use of httpie, without compromising on features and performance. All curl options are exposed with syntax sugar and output formatting inspired from httpie.

%prep
%autosetup -D -a 1

%build
GOFLAGS="-buildmode=pie" go build -mod vendor -o %{name} .

%install
install -Dm 755 %{name} %{buildroot}/%{_bindir}/%{name}

%files
%license LICENSE
%doc README.md
%{_bindir}/%{name}

%changelog
* Tue Oct 24 2023 andrea.manzini@suse.com
- Update to version 1.7.2:
  * Revert "fix headers/body order (#55)" (#74)
* Sat May 20 2023 Andrea Manzini <andrea.manzini@suse.com>
- Update to version 1.7.1:
  * fix: update curl long values (#70)
  * fix headers/body order (#55)
  * Update install method for Homebrew (#57)
  * Bump golang.org/x/crypto from 0.0.0-20180524125353-159ae71589f3 to 0.1.0 (#66)
  * Bump golang.org/x/sys from 0.0.0-20191026070338-33540a1f6037 to 0.1.0 (#65)
  * Remove macOS binary of curlie (#61)
  * Document --pretty (#56)
  * doc: add webinstall.dev instructions (#58)
- added patch upgrade-go-version-and-x-sys-to-latest.patch to bump dependency
* Mon Jan  9 2023 Andrea Manzini <andrea.manzini@suse.com>
- changed minimal Go version to 1.13
* Mon Dec 26 2022 Andrea Manzini <andrea.manzini@suse.com>
- initial release 1.6.9
